curl --request POST \
--url https://api.gizmo.antimlabs.com/v1/scenes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"prompt": "<string>",
"reference_images": [
{
"image_id": "<string>",
"url": "<string>",
"data_url": "<string>"
}
],
"max_cost_cents": 123,
"max_asset_definitions": 50,
"max_instances": 100
}
'import requests
url = "https://api.gizmo.antimlabs.com/v1/scenes"
payload = {
"prompt": "<string>",
"reference_images": [
{
"image_id": "<string>",
"url": "<string>",
"data_url": "<string>"
}
],
"max_cost_cents": 123,
"max_asset_definitions": 50,
"max_instances": 100
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: '<string>',
reference_images: [{image_id: '<string>', url: '<string>', data_url: '<string>'}],
max_cost_cents: 123,
max_asset_definitions: 50,
max_instances: 100
})
};
fetch('https://api.gizmo.antimlabs.com/v1/scenes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gizmo.antimlabs.com/v1/scenes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'reference_images' => [
[
'image_id' => '<string>',
'url' => '<string>',
'data_url' => '<string>'
]
],
'max_cost_cents' => 123,
'max_asset_definitions' => 50,
'max_instances' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gizmo.antimlabs.com/v1/scenes"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gizmo.antimlabs.com/v1/scenes")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gizmo.antimlabs.com/v1/scenes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"job_id": "<string>",
"scene_id": "<string>",
"status": "queued"
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}Reconstruct a complete Team scene
Generate canonical assets and native structure, then place the available instances. Submitting authorizes the full pipeline within the configured job budget or optional max_cost_cents override (“unlimited” removes the total cost cap). Uses Team generation permissions; a compatible pinned release is required. Poll /v1/jobs/?include_result=true. Candidate delivery and incomplete validation are reported explicitly; success is not simulation certification.
curl --request POST \
--url https://api.gizmo.antimlabs.com/v1/scenes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"prompt": "<string>",
"reference_images": [
{
"image_id": "<string>",
"url": "<string>",
"data_url": "<string>"
}
],
"max_cost_cents": 123,
"max_asset_definitions": 50,
"max_instances": 100
}
'import requests
url = "https://api.gizmo.antimlabs.com/v1/scenes"
payload = {
"prompt": "<string>",
"reference_images": [
{
"image_id": "<string>",
"url": "<string>",
"data_url": "<string>"
}
],
"max_cost_cents": 123,
"max_asset_definitions": 50,
"max_instances": 100
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: '<string>',
reference_images: [{image_id: '<string>', url: '<string>', data_url: '<string>'}],
max_cost_cents: 123,
max_asset_definitions: 50,
max_instances: 100
})
};
fetch('https://api.gizmo.antimlabs.com/v1/scenes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gizmo.antimlabs.com/v1/scenes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'reference_images' => [
[
'image_id' => '<string>',
'url' => '<string>',
'data_url' => '<string>'
]
],
'max_cost_cents' => 123,
'max_asset_definitions' => 50,
'max_instances' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gizmo.antimlabs.com/v1/scenes"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gizmo.antimlabs.com/v1/scenes")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gizmo.antimlabs.com/v1/scenes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"reference_images\": [\n {\n \"image_id\": \"<string>\",\n \"url\": \"<string>\",\n \"data_url\": \"<string>\"\n }\n ],\n \"max_cost_cents\": 123,\n \"max_asset_definitions\": 50,\n \"max_instances\": 100\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"job_id": "<string>",
"scene_id": "<string>",
"status": "queued"
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}Authorizations
Select Personal or your Team in Gizmo, then create a key in API Access. The key selects your library and billing account.
Headers
1 - 128^[A-Za-z0-9._:-]+$Body
1 - 200003Show child attributes
Show child attributes
Optional total scene spending limit: integer cents (1–1000000), or "unlimited" for no total dollar cap. Omit/null uses the server setting. Fixed-priced scenes charge per delivered canonical asset plus assembly; the full planned price must fit this cap before assets start. Older metered releases apply it to usage.
Fail planning before asset generation if this canonical-design limit is exceeded; never silently truncate the scene.
1 <= x <= 1001 <= x <= 500